This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1278743 - [abrt] Thunar: __strcmp_sse2_unaligned(): thunar killed by SIGSEGV
[abrt] Thunar: __strcmp_sse2_unaligned(): thunar killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Thunar (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mukundan Ragavan
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8625e19aeadc68b6111912ecd57...
:
: 1294596 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 05:44 EST by Moritz Kammerer
Modified: 2017-02-25 20:35 EST (History)
31 users (show)

See Also:
Fixed In Version: Thunar-1.6.11-1.fc25
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-25 20:35:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (38.07 KB, text/plain)
2015-11-06 05:44 EST, Moritz Kammerer
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-06 05:44 EST, Moritz Kammerer
no flags Details
File: core_backtrace (7.78 KB, text/plain)
2015-11-06 05:45 EST, Moritz Kammerer
no flags Details
File: dso_list (10.34 KB, text/plain)
2015-11-06 05:45 EST, Moritz Kammerer
no flags Details
File: environ (1.33 KB, text/plain)
2015-11-06 05:45 EST, Moritz Kammerer
no flags Details
File: exploitable (100 bytes, text/plain)
2015-11-06 05:45 EST, Moritz Kammerer
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-06 05:45 EST, Moritz Kammerer
no flags Details
File: maps (49.88 KB, text/plain)
2015-11-06 05:45 EST, Moritz Kammerer
no flags Details
File: mountinfo (3.35 KB, text/plain)
2015-11-06 05:45 EST, Moritz Kammerer
no flags Details
File: open_fds (2.37 KB, text/plain)
2015-11-06 05:45 EST, Moritz Kammerer
no flags Details
File: proc_pid_status (1006 bytes, text/plain)
2015-11-06 05:45 EST, Moritz Kammerer
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Xfce 12290 None None None Never

  None (edit)
Description Moritz Kammerer 2015-11-06 05:44:53 EST
Description of problem:
Renamed a folder.

Version-Release number of selected component:
Thunar-1.6.10-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        Thunar --daemon
crash_function: __strcmp_sse2_unaligned
executable:     /usr/bin/thunar
global_pid:     1616
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __strcmp_sse2_unaligned at ../sysdeps/x86_64/multiarch/strcmp-sse2-unaligned.S:30
 #1 thunar_file_compare_by_name at thunar-file.c:4027
 #2 thunar_list_model_cmp_func at thunar-list-model.c:1045
 #3 node_find_closest at gsequence.c:1753
 #4 node_insert_sorted at gsequence.c:1991
 #5 g_sequence_insert_sorted_iter at gsequence.c:1020
 #6 g_sequence_insert_sorted at gsequence.c:713
 #7 thunar_list_model_files_added at thunar-list-model.c:1261
 #12 thunar_folder_monitor at thunar-folder.c:751
 #13 ffi_call_unix64 at ../src/x86/unix64.S:76
Comment 1 Moritz Kammerer 2015-11-06 05:44:58 EST
Created attachment 1090570 [details]
File: backtrace
Comment 2 Moritz Kammerer 2015-11-06 05:44:59 EST
Created attachment 1090571 [details]
File: cgroup
Comment 3 Moritz Kammerer 2015-11-06 05:45:01 EST
Created attachment 1090572 [details]
File: core_backtrace
Comment 4 Moritz Kammerer 2015-11-06 05:45:02 EST
Created attachment 1090573 [details]
File: dso_list
Comment 5 Moritz Kammerer 2015-11-06 05:45:04 EST
Created attachment 1090574 [details]
File: environ
Comment 6 Moritz Kammerer 2015-11-06 05:45:05 EST
Created attachment 1090575 [details]
File: exploitable
Comment 7 Moritz Kammerer 2015-11-06 05:45:07 EST
Created attachment 1090576 [details]
File: limits
Comment 8 Moritz Kammerer 2015-11-06 05:45:09 EST
Created attachment 1090577 [details]
File: maps
Comment 9 Moritz Kammerer 2015-11-06 05:45:10 EST
Created attachment 1090578 [details]
File: mountinfo
Comment 10 Moritz Kammerer 2015-11-06 05:45:12 EST
Created attachment 1090579 [details]
File: open_fds
Comment 11 Moritz Kammerer 2015-11-06 05:45:13 EST
Created attachment 1090580 [details]
File: proc_pid_status
Comment 12 Mukundan Ragavan 2015-11-06 07:41:38 EST
There is a bug upstream for this ,,,

Do you this always? Upstream bug seems to indicate it's not reproducible.
Comment 13 Moritz Kammerer 2015-11-06 10:40:52 EST
This isn't happening all the time and isn't reproducible.
Comment 14 Mukundan Ragavan 2015-11-07 09:58:15 EST
OK, that's good to know. I have also been able to reproduce it ... I had to try 20 or 25 times before I got it to crash ...

I will add a note on the upstream bug report.
Comment 15 Mukundan Ragavan 2015-12-05 17:40:27 EST
Can you give this build a spin and see if solves the problem?

https://koji.fedoraproject.org/koji/taskinfo?taskID=12075656
Comment 16 Mukundan Ragavan 2015-12-05 17:43:13 EST
I am setting NEEDINFO from reporter - Anyone else can test this of course.
Comment 17 Andy Lawrence 2015-12-14 20:26:57 EST
Another user experienced a similar problem:

Renaming a .csv file.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        thunar
crash_function: __strcmp_sse2_unaligned
executable:     /usr/bin/thunar
global_pid:     29276
kernel:         4.2.6-301.fc23.x86_64
package:        Thunar-1.6.10-2.fc23
reason:         thunar killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 18 Andy Lawrence 2015-12-14 20:39:43 EST
(In reply to Mukundan Ragavan from comment #15)
> Can you give this build a spin and see if solves the problem?
> 
> https://koji.fedoraproject.org/koji/taskinfo?taskID=12075656

I can confirm the above test build fixes the issue for me.

Thanks
Comment 19 Mustafa Mehmed 2015-12-14 22:25:46 EST
I installed Thunar-1.6.10-4.f23.x86_64.

I went to rename a jpg file within a thunar window and as soon as I had entered the new name and then hit enter, thunar died. Going back to look at the renamed file - it was renamed correctly. Cannot find any abrt information.

kernel - 4.2.6-301.fc23.x86_64
xfce4-session.x86_64 - 4.12.1-6.fc23
Comment 20 Mukundan Ragavan 2015-12-14 22:39:24 EST
(In reply to Mustafa Mehmed from comment #19)
> I installed Thunar-1.6.10-4.f23.x86_64.
> 
> I went to rename a jpg file within a thunar window and as soon as I had
> entered the new name and then hit enter, thunar died. Going back to look at
> the renamed file - it was renamed correctly. Cannot find any abrt
> information.
> 
> kernel - 4.2.6-301.fc23.x86_64
> xfce4-session.x86_64 - 4.12.1-6.fc23

Can you try the build in comment 15 and see if it works for you?
Comment 21 Moritz Kammerer 2015-12-17 12:35:15 EST
Build looks good. Renamed a whole bunch of files over several days and no crashes.
Comment 22 Kevin Fenzi 2015-12-29 13:12:13 EST
*** Bug 1294596 has been marked as a duplicate of this bug. ***
Comment 23 hannes 2015-12-30 05:13:19 EST
The scratch build somehow is not accessible any more, would it be possible to build this and provide as an update?
Thanks a lot!
Comment 24 Mukundan Ragavan 2015-12-31 12:47:22 EST
(In reply to hannes from comment #23)
> The scratch build somehow is not accessible any more, would it be possible
> to build this and provide as an update?
> Thanks a lot!

Can you try this?

http://koji.fedoraproject.org/koji/taskinfo?taskID=12359686


If this is causing issues, try this -

https://nonamedotc.fedorapeople.org/thunar-fix/
Comment 25 hannes 2015-12-31 14:37:15 EST
Thanks a lot, I installed it from koji and will report back how the stability changed. Since it's not always reproducible, I'll need some days to confirm the fixes.
Thanks again and a happy new year!
Comment 26 Mukundan Ragavan 2015-12-31 20:44:50 EST
(In reply to hannes from comment #25)
> Thanks a lot, I installed it from koji and will report back how the
> stability changed. Since it's not always reproducible, I'll need some days
> to confirm the fixes.

Many thanks for testing.

> Thanks again and a happy new year!

Happy new year to you as well. :)
Comment 27 hannes 2016-01-07 03:11:19 EST
I didn't have any crashes during the last week and I did quite some copying and renaming all around.
So for me this issue seems to be fixed.
Thanks again!
Comment 28 Clemens Eisserer 2016-01-15 15:55:44 EST
just happend here when renaming a file.
Comment 29 Miro Hrončok 2016-02-10 15:13:38 EST
just happened here when renaming a file.
Comment 30 Woi 2016-02-22 18:16:22 EST
I had this crash 5-7 times in the last half an hour or so. I was renaming files from <DD_SOMELETTERS.EXT> to <DD_SOMELETTERS.EXT> 
Example: rename  07_somename.pdf to 09_somename.pdf. However it happens very often, but not always.
Comment 31 Luca Ciavatta 2016-03-16 00:04:38 EDT
It happened trying to open an .svg file with right click and select open with Inkscape.
Comment 32 Mukundan Ragavan 2016-03-31 21:19:03 EDT

I have rebuilt Thunar with two patches from the upstream bug report. Can folks here test these builds?

https://nonamedotc.fedorapeople.org/thunar-fix/

The page linked above has packages for rawhide, f24, f23 and f22 on x86_64, i686 and arm arches.
Comment 33 Miro Hrončok 2016-04-01 07:33:33 EDT
I'd rather install something form Koji or Copr where I can see what it was built from.

So building your SRPM here: https://copr.fedorainfracloud.org/coprs/churchyard/thunar-1278743/
Comment 34 Mukundan Ragavan 2016-04-02 06:57:00 EDT
(In reply to Miro Hrončok from comment #33)
> I'd rather install something form Koji or Copr where I can see what it was
> built from.
> 
> So building your SRPM here:
> https://copr.fedorainfracloud.org/coprs/churchyard/thunar-1278743/


well sure. Those were built on koji and copied over to fedorapeople folder. It's just that this bug has existed for a while now that koji scratch builds get canned and I do not want to use yet another COPR. 

But, suit yourself.
Comment 35 Miro Hrončok 2016-04-02 09:15:08 EDT
I'm testing it right now, didn't get any crashes yet, but sometimes, when a file is renamed (not by Thunar), I have to refresh Thunar to see the changes.
Comment 36 Mukundan Ragavan 2016-04-02 10:35:03 EDT
(In reply to Miro Hrončok from comment #35)
> I'm testing it right now, didn't get any crashes yet, but sometimes, when a
> file is renamed (not by Thunar), I have to refresh Thunar to see the changes.

Yeah, I used to see that before but I do not see it anymore. Is that application specifc (I mean the application to rename)? 

I cannot reproduce this with xfce4-terminal in my ~30 tries. I just did something like this - 

#!/bin/bash

fnam=test.txt
i=10
ct=1

echo $(date) > $fnam

while [ $ct -le $i ]
do

r_fnam=test_$RANDOM.txt
echo $r_fnam

mv $fnam $r_fnam
#sleep 3
scrot $ct.png

fnam=$r_fnam
ct=$((ct+1))
done
Comment 37 Geoff Sweet 2016-04-25 12:22:39 EDT
Another user experienced a similar problem:

Renaming a few video files.  I had copied the text out of Chrome, by highlighting the title "The African Queen (1951)" from the URL: http://www.imdb.com/title/tt0043265/?ref_=nv_sr_1 

I then right clicked on my file, selected "Rename" and used the ctrl-v keyboard shortcut to paste the text.  The thunar window then closes unexpectedly.  When I reopen it, the file has been correctly renamed.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        Thunar --daemon
crash_function: __strcmp_sse2_unaligned
executable:     /usr/bin/thunar
global_pid:     1684
kernel:         4.2.3-300.fc23.x86_64
package:        Thunar-1.6.10-2.fc23
reason:         thunar killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1026
Comment 38 Fedora End Of Life 2016-11-24 08:08:01 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 39 Woi 2016-11-27 06:24:30 EST
The upstream bug [1] is still not fixed. So I like to change Version to Fedora 25 to avoid auto closing. However I don't have the rights to change version, nor to add the (prober) upstream bug.


[1] https://bugzilla.xfce.org/show_bug.cgi?id=12264
Comment 40 Mukundan Ragavan 2016-11-27 10:38:29 EST
Moved to rawhide till upstream bug is addressed.
Comment 41 Fedora Update System 2017-02-14 22:15:33 EST
Thunar-1.6.11-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9b303854c7
Comment 42 Fedora Update System 2017-02-17 10:25:06 EST
Thunar-1.6.11-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9b303854c7
Comment 43 Fedora Update System 2017-02-25 20:35:57 EST
Thunar-1.6.11-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.